Subject: (urth) Film version of "The Death of Dr Island"

From: Nigel Price <nigelaprice at talktalk.net>
Date: Wed, 04 Jun 2008 12:13:21 +0000

The producers of the film version of "The Death of Dr Island" have recently
updated their website (http://www.doctorisland.com/).

Postproduction continues but they clearly need some more money in order to
finish the project. In order to raise this, they're offering various
sponsorship packages, most of which involve buying/sponsoring frames from
the movie.

I've bought a frame and thought others on the Urth List might also be
interested in supporting this film. If you've not already seen it, the
website is well worth a look, though those browsing it at work need to note
that the characters in the story are entirely naked and that's what the
stills from the movie show.

Nigel